# Tiny IO

TinyIO is a versatile library designed to simplify input and output operations on embedded platforms, such as Arduino and ESP32. It provides a flexible interface for reading and writing data, with support for both direct memory operations and custom input/output handling through function adapters. The library aims to streamline your code, making it more modular and easier to maintain.

## Features

- **Generic Input/Output Abstractions**: Easily handle inputs and outputs using generic classes.
- **Custom Function Adapters**: Adapt any function as an input or output handler for flexible integration.
- **Direct Memory Operations**: Read from and write to specific memory addresses.
- **Arduino and ESP32 Support**: Specific implementations for digital and analog inputs/outputs on Arduino and ESP32 platforms.

## Getting Started

### Installation

Clone or download the library into your Arduino libraries folder, or use the Arduino Library Manager to install it directly.
