#include <IO.h>

using namespace io;


const int BUTTON_PIN = 1;
const int LED_PIN = LED_BUILTIN;

auto output = IO.output<bool>([](bool value) {
    digitalWrite(LED_PIN, value ? HIGH : LOW);
});

auto input = IO.input<bool>([](){
    return digitalRead(BUTTON_PIN);
});

void setup(){
    pinMode(BUTTON_PIN, INPUT);
    pinMode(LED_PIN, OUTPUT);
}

void loop(){
    bool buttonState = input.read();
    output.write(true ^ buttonState);
    delay(1000);
    buttonState = input.read();
    output.write(false ^ buttonState);
    delay(1000);
}
